import java.util.*;
import java.io.*;

// What can you add?
// - Calculate words per minute
// - Add a leaderboard of the fastest typers
// - Create sentences that make sense! You could use sentences from a book, or a movie script.

public class TypeRacer
{
    public static void main(String[] args)
    {
        // Start here!
        TypeRacer race = new TypeRacer();
        race.start();
    }
    
    public static void start() {
        Scanner s = new Scanner(System.in);
        System.out.print("Ready...? Set... (Hit Enter to start!)");
        s.nextLine();
        String sentence = randomSentence();
        long startTime = System.currentTimeMillis();
        System.out.println(sentence);
        String typedSentence = s.nextLine();
        long finishTime = System.currentTimeMillis();
        long timeElapsed = finishTime - startTime;
        if (typedSentence.equals(sentence)) {
            System.out.println("Nice! You typed it in " + timeElapsed/1000.0 + " seconds!");
        } else {
            System.out.println("Oops, you had some typos.");
        }
    }
    
    public static String randomSentence() {
        ArrayList<String> phrases = new ArrayList<String>();
        String sentence = "";
        try {
            File myFile = new File("words.txt");
            Scanner scanner = new Scanner(myFile);
            while (scanner.hasNextLine()) {
                String line = scanner.nextLine();
                phrases.add(line);
            }
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
        Random rand = new Random(); 
        for (int i = 0; i < 5; i++) {
            sentence += phrases.get(rand.nextInt(phrases.size()));
            if (i < 4) {
                sentence += " ";
            }
        }
        return sentence;
    }
}